Create or update an item type
curl --request PUT \
--url https://platform.dev.timeback.com/case/1.1/CFItemTypes/{sourcedId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"uri": "<string>",
"title": "<string>",
"description": "<string>",
"hierarchyCode": "<string>",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"typeCode": "<string>",
"extensions": {}
}
'import requests
url = "https://platform.dev.timeback.com/case/1.1/CFItemTypes/{sourcedId}"
payload = {
"identifier": "<string>",
"uri": "<string>",
"title": "<string>",
"description": "<string>",
"hierarchyCode": "<string>",
"lastChangeDateTime": "2023-11-07T05:31:56Z",
"typeCode": "<string>",
"extensions": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '<string>',
uri: '<string>',
title: '<string>',
description: '<string>',
hierarchyCode: '<string>',
lastChangeDateTime: '2023-11-07T05:31:56Z',
typeCode: '<string>',
extensions: {}
})
};
fetch('https://platform.dev.timeback.com/case/1.1/CFItemTypes/{sourcedId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}{
"imsx_codeMajor": "success",
"imsx_severity": "status",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "fullsuccess"
}
]
}
}CASE
Create or update an item type
Creates a new item type or updates an existing one with the given sourcedId
PUT
/
case
/
1.1
/
CFItemTypes
/
{sourcedId}
Create or update an item type
Authorizations
OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.
Path Parameters
Unique identifier of the CASE entity
Body
application/json
A type definition for items in CASE
The unique identifier for this item type
URI that identifies this CASE entity
The title of the CFItemType
A human readable description of the CFItemType
A human-referenceable code designated by the publisher to identify the item in the hierarchy of ItemTypes
Date/time when the entity was last modified
Text code used for type identification
Additional properties for the item type
Response
Successful operation
⌘I